package cz.moneta.test.dsl.udebs.ib;

import cz.moneta.test.harness.context.StoreAccessor;

public class IbBuilder {

    private final StoreAccessor harness;

    public IbBuilder(StoreAccessor harness) {
        this.harness = harness;
    }

    @Deprecated
    public UsernameAndPasswordBuilder usernameAndPassword() {
        return new UsernameAndPasswordBuilder(harness);
    }

    public ClientWithToIdentityBannerBuilder clientWithToIdentityBanner() {
        return new ClientWithToIdentityBannerBuilder(harness);
    }
}
